import { TEMPLATE_DESCRIPTION } from "../common/_module.mjs";
import { INTEGER } from "../common/field-types.mjs";

const fields = foundry.data.fields;

export default class RdDModelTete extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return Object.assign({},
      TEMPLATE_DESCRIPTION.fields(),
      {
        hautrevant: new fields.BooleanField({ label: "Pour haut-rêvants", initial: false }),
        frequence: new fields.NumberField({ label: "Fréquence", initial: 0, ...INTEGER }),
      }
    );
  }
}
